// Simple music player:
// - Music files are loaded in $4600
// - Register buffer in $3800
// - Player binary code in $3500
#include <stdio.h>
#include <lib.h>
#define TITLE "Alphaville - Big in Japan"
#define ME "by Chlo! Avrillon for Oric Atmos"
#define plot(X,Y,C) poke(0xBF40+(X)+(Y)*40,C)
void plots(char x_pos,char y_pos, const char *msg);
void StartMusic();
void EndMusic();

main(){
//e accent aigu
memcpy((unsigned char*)46344,(unsigned char*)46888,8);
poke(46344,4);
poke(46345,8);

text();paper(0);ink(6);
hires();
plot(1,1,A_FWYELLOW);
plots(20-strlen(TITLE)/2,1,TITLE);
plot(1,3,A_FWCYAN);
plots(20-strlen(ME)/2,3,ME);
sedoric("!DATA.BIN"); //load Big in Japan tune                                   
StartMusic();
get();
EndMusic;
} 



void plots(char x_pos,char y_pos, const char *msg)
{
    memcpy((unsigned char*)(0xBF40+x_pos+y_pos*40),msg,strlen(msg));	
}